/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import CommonJobProperties as commonJobProperties
import PostcommitJobBuilder

// Tests creation and execution of portable pipeline Jars on the Flink runner.
PostcommitJobBuilder.postCommitJob('beam_PostCommit_PortableJar_Flink',
    'Run PortableJar_Flink PostCommit', 'Flink Portable Jar Tests', this) {
      description('Tests creation and execution of portable pipeline Jars on the Flink runner.')

      // Set common parameters.
      commonJobProperties.setTopLevelMainJobProperties(delegate, 'master', 120)

      // Gradle goals for this job.
      steps {
        gradle {
          rootBuildScriptDir(commonJobProperties.checkoutDir)
          tasks(':sdks:python:test-suites:portable:py36:testPipelineJarFlinkRunner')
          tasks(':sdks:python:test-suites:portable:py37:testPipelineJarFlinkRunner')
          commonJobProperties.setGradleSwitches(delegate)
        }
      }
    }
